Lister les contacts
curl --request GET \
--url https://qwoty.app/api/contacts \
--header 'Authorization: <authorization>'import requests
url = "https://qwoty.app/api/contacts"
headers = {"Authorization": "<authorization>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<authorization>'}};
fetch('https://qwoty.app/api/contacts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": [
{
"id": "660e8400-e29b-41d4-a716-446655440001",
"workspace_id": "706eb564-6c4a-4e18-841c-bdd79be6bca7",
"customer_id": "550e8400-e29b-41d4-a716-446655440000",
"first_name": "Jean",
"last_name": "Dupont",
"email": "jean.dupont@acme.com",
"phone": "+33 6 12 34 56 78",
"role": ["buyer", "signer"],
"id_crm": null,
"id_erp": null,
"id_accounting": null,
"address_ids": ["c3d4e5f6-a7b8-9012-cdef-123456789012"],
"created_at": "2026-01-15T10:30:00Z",
"updated_at": "2026-01-15T10:30:00Z"
}
]
}
Contacts
Lister les contacts
Récupérer tous les contacts de votre espace de travail
GET
/
api
/
contacts
Lister les contacts
Autorisation
string
requis
Jeton Bearer. Format :
Bearer qwoty_your_tokenParamètres de requête
string
Filtrer les contacts par UUID client
Exemples
curl "https://qwoty.app/api/contacts?customer_id=550e8400-e29b-41d4-a716-446655440000" \
-H "Authorization: Bearer qwoty_your_token"
const response = await fetch(
'https://qwoty.app/api/contacts?customer_id=550e8400-e29b-41d4-a716-446655440000',
{ headers: { Authorization: 'Bearer qwoty_your_token' } },
)
const data = await response.json()
import requests
response = requests.get(
'https://qwoty.app/api/contacts',
params={'customer_id': '550e8400-e29b-41d4-a716-446655440000'},
headers={'Authorization': 'Bearer qwoty_your_token'},
)
data = response.json()
Réponse
boolean
true si la requête a réussiarray
Tableau d’objets contact
Afficher Objet Contact
Afficher Objet Contact
string
UUID
string
UUID de l’espace de travail
string
UUID du client parent
string
Prénom
string
Nom de famille
string
Adresse e-mail
string | null
Numéro de téléphone
array
Rôles attribués
string | null
ID CRM externe
string | null
ID ERP externe
string | null
ID comptabilité externe
string[]
Tableau d’UUID d’adresses liées à ce contact. Utilisez
GET /api/addresses/{id} pour récupérer chaque adresse.string
Horodatage ISO 8601
string
Horodatage ISO 8601
{
"success": true,
"data": [
{
"id": "660e8400-e29b-41d4-a716-446655440001",
"workspace_id": "706eb564-6c4a-4e18-841c-bdd79be6bca7",
"customer_id": "550e8400-e29b-41d4-a716-446655440000",
"first_name": "Jean",
"last_name": "Dupont",
"email": "jean.dupont@acme.com",
"phone": "+33 6 12 34 56 78",
"role": ["buyer", "signer"],
"id_crm": null,
"id_erp": null,
"id_accounting": null,
"address_ids": ["c3d4e5f6-a7b8-9012-cdef-123456789012"],
"created_at": "2026-01-15T10:30:00Z",
"updated_at": "2026-01-15T10:30:00Z"
}
]
}
Cette page vous a-t-elle été utile ?
⌘I

